<div class="config-container d-flex flex-column" *ngIf="workload">
    <div class="d-flex align-items-start heading params">
        <div class="title font-bold-16">{{ workload.name }}</div>
        <button class="add-param-btn app-btn app-btn-size-140 ml-auto" (click)="addOrEditParameter()">
            Add Input Parameter
        </button>
    </div>

    <div class="params boc-greyb6">
        <app-accordion [icon]="'icon-down-arrow'">
            <span class="font-semi-14 color-grey1a" title>User Input Parameters</span>
            <app-workload-parameters items [parameters]="this.workload.parameters" (edit)="addOrEditParameter($event)"
                (delete)="deleteParameter($event)" (order)="updateOrder($event)">
            </app-workload-parameters>
        </app-accordion>
    </div>

    <div class="d-flex align-items-start heading c-params">
        <div class="title font-bold-16"></div>
        <button class="add-c-param-btn app-btn app-btn-size-140 ml-auto" (click)="addOrEditParameter()">
            Add Calculated Parameter
        </button>
    </div>

    <div class="c-params">
        <app-accordion [icon]="'icon-down-arrow'">
            <span class="font-semi-14 color-grey1a" title>Calculated Parameters</span>
        </app-accordion>
    </div>

    <!-- User Input Parameters Modal -->

    <app-parameter-configuration [workload]="workload" (modalClose)="parameterId = undefined;"
        [modalId]="CONSTANTS.MODALS.NEW_PARAMETER" [parameterId]="parameterId">
    </app-parameter-configuration>


    <!-- Calculate Parameters Modal -->

    <app-common-modal [id]="CONSTANTS.MODALS.CALCULATED_PARAMETER" [title]="'Add Calculated Parameter'">
        Hello
    </app-common-modal>
</div>